' 2>nul 3>nul&cls&@echo off
'&set #=PDF内嵌字体图片导出工具--Dean &set  $=导出完成，按任意键退出--Dean  &set  z=正在导出 &set  @=XXXXXXXXXXXXXXXXXXXXXXXXXXXXX
'&set a=找不到文件，请输入正确的文件名
'&title %#% 
'&echo;%#% 
'&echo;%@% 
:E
'&set /p name= 输入文件名: 
for %%i in ("%name%") do (set "sf=%%~xi")
if "%sf%"==".pdf" goto B
esle  (
goto D
)
'&pause&exit

:B
if exist "%name%" goto N
else (
'&echo;%a% 
goto E
'&pause&exit
)
:D
if exist "%name%".pdf goto M
else (
'&echo;%a% 
goto E
'&pause&exit
)
 
:M
 '&echo;%z% 
mutool extract  "%name%".pdf
'&echo;%$%
'&echo;%@%
'&pause&exit

:N
 '&echo;%z% 
mutool extract  "%name%"
'&echo;%$%
'&echo;%@%
'&pause&exit